# Created by pyp2rpm-1.0.1
%global pypi_name future

Name:           python-future
Version:        0.18.3
Release:        %mkrel 4
Group:          Development/Python
Summary:        Clean single-source support for Python 3 and 2
License:        MIT
Url:		https://python-future.org/
Source0:        %{pypi_source}
# https://github.com/PythonCharmers/python-future/pull/626#issuecomment-1902276035
Patch1:         0001-WIP-Python-3.12-support-for-removal-of-imp-module.patch
Patch2:         0002-Use-importlib-instead-of-imp-for-Python-3.12-support.patch
Patch3:         0003-Test-fixes.patch
Patch4:         0004-Add-Python-3.8-3.12-classifiers.patch
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Easy, safe support for Python 3/2 compatibility

%package -n     python3-%{pypi_name}
Summary:        Clean single-source support for Python 3 and 2
%{?python_provide:%python_provide python3-future}

%description -n python3-%{pypi_name}
Easy, safe support for Python 3/2 compatibility

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
# Do the build in the install stage.
# The build system wipes the build directory at the start of the
# build

%install
%pyproject_wheel
%pyproject_install
%pyproject_save_files past libfuturize libpasteurize future

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%{_bindir}/futurize
%{_bindir}/pasteurize


%changelog
* Fri Jan 26 2024 wally <wally> 0.18.3-4.mga10
+ Revision: 2035122
- add patches for WIP python 3.12 support

* Tue Dec 12 2023 papoteur <papoteur> 0.18.3-3.mga10
+ Revision: 2017477
- rebuild for python3.12
- adapt to pyproject

* Thu Dec 07 2023 wally <wally> 0.18.3-2.mga10
+ Revision: 2015264
- rebuild for py3.12

* Wed Feb 01 2023 papoteur <papoteur> 0.18.3-1.mga9
+ Revision: 1937415
- new 0.18.3 (mga#31419)

* Wed Mar 23 2022 umeabot <umeabot> 0.18.2-3.mga9
+ Revision: 1822532
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.18.2-2.mga9
+ Revision: 1774363
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.18.2-1.mga9
+ Revision: 1703370
- new version 0.18.2
- rebuild for python 3.9

* Mon Jan 11 2021 wally <wally> 0.17.1-5.mga8
+ Revision: 1671110
- provide and obsolete old python-future

* Sun Feb 16 2020 umeabot <umeabot> 0.17.1-4.mga8
+ Revision: 1531433
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.17.1-3.mga8
+ Revision: 1440289
- restore %%py3_build call
- rebuild for python-3.8
- drop python2 subpkg

* Mon Aug 19 2019 wally <wally> 0.17.1-2.mga8
+ Revision: 1430014
- add URL
- drop doc build

* Tue Jan 08 2019 shlomif <shlomif> 0.17.1-1.mga7
+ Revision: 1352706
- New version 0.17

* Tue Jan 08 2019 tv <tv> 0.15.2-5.mga7
+ Revision: 1352096
- rebuild with python 3.7

* Mon Jan 07 2019 kekepower <kekepower> 0.15.2-4.mga7
+ Revision: 1350636
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.15.2-3.mga7
+ Revision: 1288916
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.15.2-2.mga7
+ Revision: 1135430
- Rebuild for python 3.6

* Wed Mar 16 2016 tv <tv> 0.15.2-1.mga6
+ Revision: 992206
- new release

* Fri Feb 19 2016 umeabot <umeabot> 0.14.1-4.mga6
+ Revision: 970684
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 0.14.1-3.mga6
+ Revision: 887504
- rebuild for python 3.5

* Wed Nov 05 2014 joequant <joequant> 0.14.1-2.mga5
+ Revision: 795826
- fix library creation

* Wed Nov 05 2014 joequant <joequant> 0.14.1-1.mga5
+ Revision: 795808
- use setuptools
- imported package python-future

